Bug 852338 - some TLS ciphers cannot be enabled
some TLS ciphers cannot be enabled
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Vcelak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 852339
  Show dependency treegraph
 
Reported: 2012-08-28 04:39 EDT by Jan Vcelak
Modified: 2013-03-03 20:30 EST (History)
4 users (show)

See Also:
Fixed In Version: openldap-2.4.32-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 852339 (view as bug list)
Environment:
Last Closed: 2012-12-20 10:21:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Vcelak 2012-08-28 04:39:26 EDT
Description of problem:

The list of ciphers in OpenLDAP with MozNSS backend is incomplete. Therefore, some ciphers cannot be enabled.


Version-Release number of selected component (if applicable):
openldap-2.4.32-2.fc17


How reproducible:
always


Steps to Reproduce:
1. LDAPTLS_CIPHER_SUITE=CAMELLIA ldapsearch -x ldaps://server
2.
3.

  
Actual results:
ldap_start_tls: Connect error (-11)


Expected results:
successfully connected


Additional info:

I already submitted a patch for this upstream:
http://www.openldap.org/its/index.cgi?findid=7367
Comment 1 Fedora Update System 2012-09-19 05:11:28 EDT
openldap-2.4.32-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openldap-2.4.32-3.fc17
Comment 2 Fedora Update System 2012-09-19 05:13:03 EDT
openldap-2.4.32-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openldap-2.4.32-3.fc18
Comment 3 Fedora Update System 2012-09-20 01:58:03 EDT
Package openldap-2.4.32-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openldap-2.4.32-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14390/openldap-2.4.32-3.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-10-07 22:24:16 EDT
openldap-2.4.32-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-12-20 10:21:17 EST
openldap-2.4.32-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.